<template>

  <header>
    <div class="wrapper"> 
      <nav>
        <RouterLink to="/">Home</RouterLink>
        <RouterLink to="/login" v-if="!auth.user">Login</RouterLink>
        <button v-if="auth.user" @click="auth.logout()">Logout</button>
      </nav>
    </div>
  </header>
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';

const auth = useAuth();
</script>